## asterisk-chan-capi 0.3.5

=== Makefile ===
#
# (CAPI*)
#
# An implementation of Common ISDN API 2.0 for Asterisk
#
# Makefile, based on the Asterisk Makefile, Coypright (C) 1999, Mark Spencer
#
# Copyright (C) 2002,2003, Junghanns.NET GmbH
#
# Klaus-Peter Junghanns <kapejod@ns1.jnetdns.de>
#
# This program is free software and may be modified and 
# distributed under the terms of the GNU Public License.
#

.EXPORT_ALL_VARIABLES:

INSTALL_PREFIX=
ASTERISK_HEADER_DIR=$(INSTALL_PREFIX)/usr/include

MODULES_DIR=$(INSTALL_PREFIX)/usr/lib/asterisk/modules

PROC=$(shell uname -m)

DEBUG=-g #-pg
INCLUDE=-I$(ASTERISK_HEADER_DIR)
CFLAGS=-pipe -Wall -Wmissing-prototypes -Wmissing-declarations $(DEBUG) $(INCLUDE) -D_REENTRANT -D_GNU_SOURCE
CFLAGS+=-O6
CFLAGS+=$(shell if $(CC) -march=$(PROC) -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-march=$(PROC)"; fi)
CFLAGS+=$(shell if uname -m | grep -q ppc; then echo "-fsigned-char"; fi)

# uncomment the following line if you really never ever want early b3 connects,
# you can also configure it in the dialstring, this is just for performance
#CFLAGS+=-DNEVER_EVER_EARLY_B3_CONNECTS

# uncommnet next line to force dtmf software detection/generation, can also be configured
# in capi.conf on a perdevice basis (softdtmf=1)
#CFLAGS+=-DFORCE_SOFTWARE_DTMF

# uncomment the next line if you are in the ulaw world
#CFLAGS+=-DCAPI_ULAW

# very experimental echo squelching
CFLAGS+=-DCAPI_ES

#gains
CFLAGS+=-DCAPI_GAIN

# what do to with call waiting connect indications?
# uncomment the next line for call deflection in that case
#CFLAGS+=-DDEFLECT_ON_CIRCUITBUSY

# audio sync
CFLAGS+=-DCAPI_SYNC

# if you want to compile against latest (non-stable) asterisk cvs
CFLAGS+=-DUNSTABLE_CVS

LIBS=-ldl -lpthread -lm
CC=gcc
INSTALL=install

SHAREDOS=chan_capi.so app_capiCD.so app_capiHOLD.so app_capiRETRIEVE.so app_capiECT.so app_capiMCID.so app_capiNoES.so

CFLAGS+=-Wno-missing-prototypes -Wno-missing-declarations

CFLAGS+=-DCRYPTO

all: $(SHAREDOS)

clean:
	rm -f *.so *.o

%.so : %.o
	$(CC) -shared -Xlinker -x -o $@ $<

chan_capi.so: chan_capi.o
	$(CC) -shared -Xlinker -x -o $@ chan_capi.o -lcapi20

install: all
	for x in $(SHAREDOS); do $(INSTALL) -m 755 $$x $(MODULES_DIR) ; done

config: all
	cp capi.conf $(INSTALL_PREFIX)/etc/asterisk/

## asterisk-chan-capi 0.6.5

=== Makefile ===
#
# (CAPI*)
#
# An implementation of Common ISDN API 2.0 for Asterisk
#
# Makefile, based on the Asterisk Makefile, Coypright (C) 1999, Mark Spencer
#
# Copyright (C) 2005 Cytronics & Melware
# 
# Armin Schindler <armin@melware.de>
# 
# Reworked, but based on the work of
# Copyright (C) 2002-2005 Junghanns.NET GmbH
#
# Klaus-Peter Junghanns <kapejod@ns1.jnetdns.de>
#
# This program is free software and may be modified and 
# distributed under the terms of the GNU Public License.
#

OSNAME=${shell uname}

.EXPORT_ALL_VARIABLES:

INSTALL_PREFIX=

ASTERISK_HEADER_DIR=$(INSTALL_PREFIX)/usr/include

ifeq (${OSNAME},FreeBSD)
ASTERISK_HEADER_DIR=$(INSTALL_PREFIX)/usr/local/include
endif

ifeq (${OSNAME},NetBSD)
ASTERISK_HEADER_DIR=$(INSTALL_PREFIX)/usr/pkg/include
endif

MODULES_DIR=$(INSTALL_PREFIX)/usr/lib/asterisk/modules

ifeq (${OSNAME},FreeBSD)
MODULES_DIR=$(INSTALL_PREFIX)/usr/local/lib/asterisk/modules
endif

ifeq (${OSNAME},NetBSD)
MODULES_DIR=$(INSTALL_PREFIX)/usr/pkg/lib/asterisk/modules
endif

PROC=$(shell uname -m)

DEBUG=-g #-pg
INCLUDE=-I$(ASTERISK_HEADER_DIR)
ifeq (${OSNAME},FreeBSD)
INCLUDE+=$(shell [ -d /usr/include/i4b/include ] && \
	echo -n -I/usr/include/i4b/include)
endif
ifeq (${OSNAME},NetBSD)
INCLUDE+=$(shell [ -d /usr/include/i4b/include ] && \
        echo -n -I/usr/include/i4b/include)
endif
CFLAGS=-pipe -fPIC -Wall -Wmissing-prototypes -Wmissing-declarations $(DEBUG) $(INCLUDE) -D_REENTRANT -D_GNU_SOURCE
CFLAGS+=$(OPTIMIZE)
CFLAGS+=-O6
CFLAGS+=$(shell if $(CC) -march=$(PROC) -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-march=$(PROC)"; fi)
CFLAGS+=$(shell if uname -m | grep -q ppc; then echo "-fsigned-char"; fi)

LIBS=-ldl -lpthread -lm
CC=gcc
INSTALL=install

SHAREDOS=chan_capi.so

OBJECTS=chan_capi.o c20msg.o

CFLAGS+=-Wno-missing-prototypes -Wno-missing-declarations

CFLAGS+=-DCRYPTO

all: config.h $(SHAREDOS)

clean:
	rm -f config.h
	rm -f *.so *.o

config.h:
	./create_config.sh "$(ASTERISK_HEADER_DIR)"

chan_capi.so: $(OBJECTS)
	$(CC) -shared -Xlinker -x -o $@ $^ -lcapi20

install: all
	$(INSTALL) -d -m 755 $(MODULES_DIR)
	for x in $(SHAREDOS); do $(INSTALL) -m 755 $$x $(MODULES_DIR) ; done

install_config: capi.conf
	$(INSTALL) -d -m 755  $(INSTALL_PREFIX)/etc/asterisk/
	$(INSTALL) -m 644 capi.conf $(INSTALL_PREFIX)/etc/asterisk/

samples: install_config

## asterisk-chan-capi 0.7.1

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 #
 # (CAPI*)
 #
-# An implementation of Common ISDN API 2.0 for Asterisk
+# An implementation of Common ISDN API 2.0 for
+# Asterisk/OpenPBX.org
 #
 # Makefile, based on the Asterisk Makefile, Coypright (C) 1999, Mark Spencer
 #
-# Copyright (C) 2005 Cytronics & Melware
+# Copyright (C) 2005-2006 Cytronics & Melware
 # 
 # Armin Schindler <armin@melware.de>
 # 
@@ -21,6 +22,8 @@
 OSNAME=${shell uname}
 
 .EXPORT_ALL_VARIABLES:
+
+.PHONY: openpbx
 
 INSTALL_PREFIX=
 
@@ -44,10 +47,22 @@
 MODULES_DIR=$(INSTALL_PREFIX)/usr/pkg/lib/asterisk/modules
 endif
 
+CONFIG_DIR=$(INSTALL_PREFIX)/etc/asterisk
+
+ifeq (${OSNAME},FreeBSD)
+CONFIG_DIR=$(INSTALL_PREFIX)/usr/local/etc/asterisk
+endif
+
+ifeq (${OSNAME},NetBSD)
+CONFIG_DIR=$(INSTALL_PREFIX)/usr/pkg/etc/asterisk
+endif
+
 PROC=$(shell uname -m)
 
+LIBLINUX=
 DEBUG=-g #-pg
 INCLUDE=-I$(ASTERISK_HEADER_DIR)
+ifndef C4B
 ifeq (${OSNAME},FreeBSD)
 INCLUDE+=$(shell [ -d /usr/include/i4b/include ] && \
 	echo -n -I/usr/include/i4b/include)
@@ -56,6 +71,12 @@
 INCLUDE+=$(shell [ -d /usr/include/i4b/include ] && \
         echo -n -I/usr/include/i4b/include)
 endif
+endif #C4B
+
+ifdef C4B
+LIBLINUX=-L/usr/local/lib -llinuxcapi20
+endif
+
 CFLAGS=-pipe -fPIC -Wall -Wmissing-prototypes -Wmissing-declarations $(DEBUG) $(INCLUDE) -D_REENTRANT -D_GNU_SOURCE
 CFLAGS+=$(OPTIMIZE)
 CFLAGS+=-O6
@@ -68,7 +89,7 @@
 
 SHAREDOS=chan_capi.so
 
-OBJECTS=chan_capi.o c20msg.o
+OBJECTS=chan_capi.o c20msg.o chan_capi_rtp.o
 
 CFLAGS+=-Wno-missing-prototypes -Wno-missing-declarations
 
@@ -79,20 +100,41 @@
 clean:
 	rm -f config.h
 	rm -f *.so *.o
+	rm -rf openpbx
 
 config.h:
 	./create_config.sh "$(ASTERISK_HEADER_DIR)"
 
 chan_capi.so: $(OBJECTS)
-	$(CC) -shared -Xlinker -x -o $@ $^ -lcapi20
+	$(CC) -shared -Xlinker -x -o $@ $^ $(LIBLINUX) -lcapi20
 
 install: all
 	$(INSTALL) -d -m 755 $(MODULES_DIR)
 	for x in $(SHAREDOS); do $(INSTALL) -m 755 $$x $(MODULES_DIR) ; done
 
 install_config: capi.conf
-	$(INSTALL) -d -m 755  $(INSTALL_PREFIX)/etc/asterisk/
-	$(INSTALL) -m 644 capi.conf $(INSTALL_PREFIX)/etc/asterisk/
+	$(INSTALL) -d -m 755 ${CONFIG_DIR}
+	$(INSTALL) -m 644 capi.conf ${CONFIG_DIR}
 
 samples: install_config
 
+openpbx:
+	@rm -rf openpbx
+	@mkdir -p openpbx/channels
+	@mkdir -p openpbx/include/openpbx
+	@mkdir -p openpbx/doc
+	@mkdir -p openpbx/configs
+	@(	\
+	 ./preparser -c openpbx.ctrl chan_capi.c openpbx/channels/chan_capi.c;	\
+	 ./preparser -c openpbx.ctrl chan_capi_rtp.c openpbx/channels/chan_capi_rtp.c;	\
+	 ./preparser -c openpbx.ctrl c20msg.c openpbx/channels/c20msg.c;	\
+	 ./preparser -c openpbx.ctrl chan_capi.h openpbx/include/openpbx/chan_capi.h;	\
+	 ./preparser -c openpbx.ctrl chan_capi_rtp.h openpbx/include/openpbx/chan_capi_rtp.h;	\
+	 ./preparser -c openpbx.ctrl chan_capi20.h openpbx/include/openpbx/chan_capi20.h;	\
+	 ./preparser -c openpbx.ctrl xlaw.h openpbx/include/openpbx/xlaw.h;	\
+	 ./preparser -c openpbx.ctrl README openpbx/doc/README.chan_capi;	\
+	 ./preparser -c openpbx.ctrl capi.conf openpbx/configs/capi.conf.sample;	\
+	 true;	\
+	)
+
+

## asterisk-chan-capi 1.0.1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Makefile, based on the Asterisk Makefile, Coypright (C) 1999, Mark Spencer
 #
-# Copyright (C) 2005-2006 Cytronics & Melware
+# Copyright (C) 2005-2007 Cytronics & Melware
 # 
 # Armin Schindler <armin@melware.de>
 # 
@@ -24,6 +24,8 @@
 .EXPORT_ALL_VARIABLES:
 
 .PHONY: openpbx
+
+V=0
 
 INSTALL_PREFIX=
 
@@ -59,6 +61,8 @@
 
 PROC=$(shell uname -m)
 
+AVERSION=$(shell if grep -q "VERSION_NUM 0104" $(ASTERISK_HEADER_DIR)/asterisk/version.h; then echo V1_4; fi)
+
 LIBLINUX=
 DEBUG=-g #-pg
 INCLUDE=-I$(ASTERISK_HEADER_DIR)
@@ -89,11 +93,17 @@
 
 SHAREDOS=chan_capi.so
 
-OBJECTS=chan_capi.o c20msg.o chan_capi_rtp.o
+OBJECTS=chan_capi.o c20msg.o chan_capi_rtp.o chan_capi_qsig_core.o chan_capi_qsig_ecma.o chan_capi_qsig_asn197ade.o chan_capi_qsig_asn197no.o
 
 CFLAGS+=-Wno-missing-prototypes -Wno-missing-declarations
 
 CFLAGS+=-DCRYPTO
+
+ifneq (${AVERSION},V1_4)
+CFLAGS+=`if grep -q AST_JB config.h; then echo -DAST_JB; fi`
+endif
+
+.SUFFIXES: .c .o
 
 all: config.h $(SHAREDOS)
 
@@ -105,8 +115,21 @@
 config.h:
 	./create_config.sh "$(ASTERISK_HEADER_DIR)"
 
+.c.o: config.h
+	@if [ "$(V)" = "0" ]; then \
+		echo " [CC] $*.c -> $*.o";	\
+	else	\
+		echo "$(CC) $(CFLAGS) -c $*.c -o $*.o";	\
+	fi
+	@$(CC) $(CFLAGS) -c $*.c -o $*.o;
+
 chan_capi.so: $(OBJECTS)
-	$(CC) -shared -Xlinker -x -o $@ $^ $(LIBLINUX) -lcapi20
+	@if [ "$(V)" = "0" ]; then \
+		echo " [LD] $@ ($^)";	\
+	else	\
+		echo "$(CC) -shared -Xlinker -x -o $@ $^ $(LIBLINUX) -lcapi20";	\
+	fi
+	@$(CC) -shared -Xlinker -x -o $@ $^ $(LIBLINUX) -lcapi20
 
 install: all
 	$(INSTALL) -d -m 755 $(MODULES_DIR)

## asterisk-chan-capi 1.0.2

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #
 # (CAPI*)
 #
-# An implementation of Common ISDN API 2.0 for
-# Asterisk/OpenPBX.org
+# An implementation of Common ISDN API 2.0 for Asterisk
 #
 # Makefile, based on the Asterisk Makefile, Coypright (C) 1999, Mark Spencer
 #
@@ -22,8 +21,6 @@
 OSNAME=${shell uname}
 
 .EXPORT_ALL_VARIABLES:
-
-.PHONY: openpbx
 
 V=0
 
@@ -93,7 +90,9 @@
 
 SHAREDOS=chan_capi.so
 
-OBJECTS=chan_capi.o c20msg.o chan_capi_rtp.o chan_capi_qsig_core.o chan_capi_qsig_ecma.o chan_capi_qsig_asn197ade.o chan_capi_qsig_asn197no.o
+OBJECTS=chan_capi.o chan_capi_utils.o chan_capi_rtp.o xlaw.o	\
+	chan_capi_qsig_core.o chan_capi_qsig_ecma.o chan_capi_qsig_asn197ade.o	\
+	chan_capi_qsig_asn197no.o chan_capi_supplementary.o chan_capi_chat.o
 
 CFLAGS+=-Wno-missing-prototypes -Wno-missing-declarations
 
@@ -110,7 +109,6 @@
 clean:
 	rm -f config.h
 	rm -f *.so *.o
-	rm -rf openpbx
 
 config.h:
 	./create_config.sh "$(ASTERISK_HEADER_DIR)"
@@ -141,23 +139,3 @@
 
 samples: install_config
 
-openpbx:
-	@rm -rf openpbx
-	@mkdir -p openpbx/channels
-	@mkdir -p openpbx/include/openpbx
-	@mkdir -p openpbx/doc
-	@mkdir -p openpbx/configs
-	@(	\
-	 ./preparser -c openpbx.ctrl chan_capi.c openpbx/channels/chan_capi.c;	\
-	 ./preparser -c openpbx.ctrl chan_capi_rtp.c openpbx/channels/chan_capi_rtp.c;	\
-	 ./preparser -c openpbx.ctrl c20msg.c openpbx/channels/c20msg.c;	\
-	 ./preparser -c openpbx.ctrl chan_capi.h openpbx/include/openpbx/chan_capi.h;	\
-	 ./preparser -c openpbx.ctrl chan_capi_rtp.h openpbx/include/openpbx/chan_capi_rtp.h;	\
-	 ./preparser -c openpbx.ctrl chan_capi20.h openpbx/include/openpbx/chan_capi20.h;	\
-	 ./preparser -c openpbx.ctrl xlaw.h openpbx/include/openpbx/xlaw.h;	\
-	 ./preparser -c openpbx.ctrl README openpbx/doc/README.chan_capi;	\
-	 ./preparser -c openpbx.ctrl capi.conf openpbx/configs/capi.conf.sample;	\
-	 true;	\
-	)
-
-

## asterisk-chan-capi 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,9 @@
-#
-# (CAPI*)
 #
 # An implementation of Common ISDN API 2.0 for Asterisk
 #
 # Makefile, based on the Asterisk Makefile, Coypright (C) 1999, Mark Spencer
 #
-# Copyright (C) 2005-2007 Cytronics & Melware
+# Copyright (C) 2005-2008 Cytronics & Melware
 # 
 # Armin Schindler <armin@melware.de>
 # 
@@ -19,6 +17,8 @@
 #
 
 OSNAME=${shell uname}
+
+USE_OWN_LIBCAPI=yes
 
 .EXPORT_ALL_VARIABLES:
 
@@ -60,22 +60,29 @@
 
 AVERSION=$(shell if grep -q "VERSION_NUM 0104" $(ASTERISK_HEADER_DIR)/asterisk/version.h; then echo V1_4; fi)
 
-LIBLINUX=
+ifeq (${USE_OWN_LIBCAPI},yes)
+INCLUDE= -I./libcapi20 
+LIBLINUX= 
+else
+INCLUDE= 
+LIBLINUX=-lcapi20
+endif
+
 DEBUG=-g #-pg
-INCLUDE=-I$(ASTERISK_HEADER_DIR)
+INCLUDE+= -I$(ASTERISK_HEADER_DIR)
 ifndef C4B
 ifeq (${OSNAME},FreeBSD)
-INCLUDE+=$(shell [ -d /usr/include/i4b/include ] && \
+INCLUDE+= $(shell [ -d /usr/include/i4b/include ] && \
 	echo -n -I/usr/include/i4b/include)
 endif
 ifeq (${OSNAME},NetBSD)
-INCLUDE+=$(shell [ -d /usr/include/i4b/include ] && \
+INCLUDE+= $(shell [ -d /usr/include/i4b/include ] && \
         echo -n -I/usr/include/i4b/include)
 endif
 endif #C4B
 
 ifdef C4B
-LIBLINUX=-L/usr/local/lib -llinuxcapi20
+LIBLINUX+=-L/usr/local/lib -llinuxcapi20
 endif
 
 CFLAGS=-pipe -fPIC -Wall -Wmissing-prototypes -Wmissing-declarations $(DEBUG) $(INCLUDE) -D_REENTRANT -D_GNU_SOURCE
@@ -94,6 +101,10 @@
 	chan_capi_qsig_core.o chan_capi_qsig_ecma.o chan_capi_qsig_asn197ade.o	\
 	chan_capi_qsig_asn197no.o chan_capi_supplementary.o chan_capi_chat.o
 
+ifeq (${USE_OWN_LIBCAPI},yes)
+OBJECTS += libcapi20/convert.o libcapi20/capi20.o libcapi20/capifunc.o
+endif
+
 CFLAGS+=-Wno-missing-prototypes -Wno-missing-declarations
 
 CFLAGS+=-DCRYPTO
@@ -109,6 +120,7 @@
 clean:
 	rm -f config.h
 	rm -f *.so *.o
+	rm -f libcapi20/*.o
 
 config.h:
 	./create_config.sh "$(ASTERISK_HEADER_DIR)"
@@ -121,13 +133,13 @@
 	fi
 	@$(CC) $(CFLAGS) -c $*.c -o $*.o;
 
-chan_capi.so: $(OBJECTS)
+$(SHAREDOS): $(OBJECTS)
 	@if [ "$(V)" = "0" ]; then \
 		echo " [LD] $@ ($^)";	\
 	else	\
-		echo "$(CC) -shared -Xlinker -x -o $@ $^ $(LIBLINUX) -lcapi20";	\
+		echo "$(CC) -shared -Xlinker -x -o $@ $^ $(LIBLINUX)";	\
 	fi
-	@$(CC) -shared -Xlinker -x -o $@ $^ $(LIBLINUX) -lcapi20
+	@$(CC) -shared -Xlinker -x -o $@ $^ $(LIBLINUX)
 
 install: all
 	$(INSTALL) -d -m 755 $(MODULES_DIR)

## asterisk-chan-capi 1.1.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 # Makefile, based on the Asterisk Makefile, Coypright (C) 1999, Mark Spencer
 #
-# Copyright (C) 2005-2008 Cytronics & Melware
+# Copyright (C) 2005-2009 Cytronics & Melware
 # 
 # Armin Schindler <armin@melware.de>
 #

## asterisk-chan-capi 1.1.4

=== Makefile ===
--- 
+++ 
@@ -97,7 +97,7 @@
 
 SHAREDOS=chan_capi.so
 
-OBJECTS=chan_capi.o chan_capi_utils.o chan_capi_rtp.o xlaw.o	\
+OBJECTS=chan_capi.o chan_capi_utils.o chan_capi_rtp.o chan_capi_command.o xlaw.o dlist.o	\
 	chan_capi_qsig_core.o chan_capi_qsig_ecma.o chan_capi_qsig_asn197ade.o	\
 	chan_capi_qsig_asn197no.o chan_capi_supplementary.o chan_capi_chat.o

## asterisk-chan-capi 1.1.5

=== Makefile ===
--- 
+++ 
@@ -56,7 +56,17 @@
 CONFIG_DIR=$(INSTALL_PREFIX)/usr/pkg/etc/asterisk
 endif
 
+OSARCH=$(shell uname -s)
+
+ifeq ($(strip $(PROC)),)
+ifeq (${OSARCH},Linux)
 PROC=$(shell uname -m)
+else
+ifeq (${OSARCH},FreeBSD)
+PROC=$(shell uname -m)
+endif
+endif
+endif
 
 AVERSION=$(shell if grep -q "VERSION_NUM 0104" $(ASTERISK_HEADER_DIR)/asterisk/version.h; then echo V1_4; fi)
 
@@ -87,9 +97,9 @@
 
 CFLAGS=-pipe -fPIC -Wall -Wmissing-prototypes -Wmissing-declarations $(DEBUG) $(INCLUDE) -D_REENTRANT -D_GNU_SOURCE
 CFLAGS+=$(OPTIMIZE)
-CFLAGS+=-O6
+CFLAGS+=-O2
 CFLAGS+=$(shell if $(CC) -march=$(PROC) -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-march=$(PROC)"; fi)
-CFLAGS+=$(shell if uname -m | grep -q ppc; then echo "-fsigned-char"; fi)
+CFLAGS+=$(shell if uname -m | grep -q "ppc\|arm\|s390"; then echo "-fsigned-char"; fi)
 
 LIBS=-ldl -lpthread -lm
 CC=gcc

## asterisk-chan-capi 1.1.6

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,10 @@
 
 OSNAME=${shell uname}
 
+DIVA_STREAMING=0
+DIVA_STATUS=0
+DIVA_VERBOSE=0
+
 USE_OWN_LIBCAPI=yes
 
 .EXPORT_ALL_VARIABLES:
@@ -78,6 +82,16 @@
 LIBLINUX=-lcapi20
 endif
 
+ifeq (${DIVA_STREAMING},1)
+INCLUDE += -I./divastreaming -I./divastreaming/..
+endif
+
+ifeq (${DIVA_STATUS},1)
+INCLUDE += -I./divastatus -I./divastatus/..
+endif
+
+INCLUDE += -I./divaverbose
+
 DEBUG=-g #-pg
 INCLUDE+= -I$(ASTERISK_HEADER_DIR)
 ifndef C4B
@@ -97,9 +111,24 @@
 
 CFLAGS=-pipe -fPIC -Wall -Wmissing-prototypes -Wmissing-declarations $(DEBUG) $(INCLUDE) -D_REENTRANT -D_GNU_SOURCE
 CFLAGS+=$(OPTIMIZE)
+CFLAGS+=-Wno-unused-but-set-variable
 CFLAGS+=-O2
 CFLAGS+=$(shell if $(CC) -march=$(PROC) -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-march=$(PROC)"; fi)
 CFLAGS+=$(shell if uname -m | grep -q "ppc\|arm\|s390"; then echo "-fsigned-char"; fi)
+ifeq (${DIVA_STREAMING},1)
+CFLAGS += -DDIVA_STREAMING=1
+endif
+ifeq (${DIVA_STATUS},1)
+CFLAGS += -DDIVA_STATUS=1
+
+CFLAGS+=$(shell echo '\#include <sys/inotify.h>' > /tmp/test.c 2>/dev/null && \
+                echo 'int main(int argc,char**argv){if(inotify_init()>=0)return 0; return 1;}' >> /tmp/test.c 2>/dev/null && \
+                $(CC) /tmp/test.c -o /tmp/test && /tmp/test >/dev/null 2>&1 && echo '-DCC_USE_INOTIFY=1'; rm -f /tmp/test.c /tmp/test)
+endif
+ifeq (${DIVA_VERBOSE},1)
+CFLAGS += -DDIVA_VERBOSE=1
+endif
+
 
 LIBS=-ldl -lpthread -lm
 CC=gcc
@@ -109,10 +138,30 @@
 
 OBJECTS=chan_capi.o chan_capi_utils.o chan_capi_rtp.o chan_capi_command.o xlaw.o dlist.o	\
 	chan_capi_qsig_core.o chan_capi_qsig_ecma.o chan_capi_qsig_asn197ade.o	\
-	chan_capi_qsig_asn197no.o chan_capi_supplementary.o chan_capi_chat.o
+	chan_capi_qsig_asn197no.o chan_capi_supplementary.o chan_capi_chat.o \
+	chan_capi_mwi.o chan_capi_cli.o chan_capi_ami.o chan_capi_management_common.o \
+	chan_capi_devstate.o
 
 ifeq (${USE_OWN_LIBCAPI},yes)
 OBJECTS += libcapi20/convert.o libcapi20/capi20.o libcapi20/capifunc.o
+endif
+
+ifeq (${DIVA_STREAMING},1)
+OBJECTS += divastreaming/diva_streaming_idi_host_ifc_impl.o \
+           divastreaming/diva_streaming_idi_host_rx_ifc_impl.o \
+           divastreaming/diva_streaming_manager.o \
+           divastreaming/diva_streaming_messages.o \
+           divastreaming/segment_alloc.o \
+           divastreaming/chan_capi_divastreaming_utils.o \
+           divastreaming/runtime.o
+endif
+
+ifeq (${DIVA_STATUS},1)
+OBJECTS += divastatus/divastatus.o
+endif
+
+ifeq (${DIVA_VERBOSE},1)
+OBJECTS += divaverbose/divaverbose.o
 endif
 
 CFLAGS+=-Wno-missing-prototypes -Wno-missing-declarations
@@ -131,6 +180,15 @@
 	rm -f config.h
 	rm -f *.so *.o
 	rm -f libcapi20/*.o
+	rm -f divastreaming/*.o
+	rm -f divastatus/*.o
+	rm -f divaverbose/*.o
+
+distclean: clean
+	rm -f $(MODULES_DIR)/$(SHAREDOS)
+
+sysclean: distclean
+	rm -f $(MODULES_DIR)/*.so
 
 config.h:
 	./create_config.sh "$(ASTERISK_HEADER_DIR)"

=== debian/changelog ===
asterisk-chan-capi (1.1.6-1) unstable; urgency=low

  * New upstream release
    - Fixes "needs migration to asterisk 1.8" (Closes: #631269, #625020)

  [ Tzafrir Cohen ]
  * Switch from dpatch to dpkg v3.
  * Add myself as uploader.
  * Switch packaging to dh.
  * Require a slightly newer debhelper (>= 7.0.50~) for dh overrides.

  [ Mark Purcell ]
  * debian/compat -> 9
  * Cleanout debian/rules

 -- Mark Purcell <msp@debian.org>  Sat, 27 Oct 2012 09:56:11 +1100

asterisk-chan-capi (1.1.5-1) unstable; urgency=low

  * New upstream release
  * Fix "chan_capi fails to load" Rebuild fixes (Closes: #548703)
    - Added NEWS to highlight ongoing API mismatch

 -- Mark Purcell <msp@debian.org>  Fri, 07 May 2010 21:09:47 +1000

asterisk-chan-capi (1.1.4-1) unstable; urgency=low

  * New upstream version

 -- Lionel Elie Mamane <lmamane@debian.org>  Sun, 11 Oct 2009 17:35:13 +0200

asterisk-chan-capi (1.1.2-2) unstable; urgency=low

  * Switch to Asterisk 1.6
  * Bump up Standards-Version to 3.8.2

 -- Lionel Elie Mamane <lmamane@debian.org>  Fri, 24 Jul 2009 13:14:51 +0200

asterisk-chan-capi (1.1.2-1) unstable; urgency=low

  * new upstream version

 -- Lionel Elie Mamane <lmamane@debian.org>  Mon, 02 Feb 2009 21:10:11 +0100

asterisk-chan-capi (1.1.1-2) UNRELEASED; urgency=low

  * lintian clean: asterisk.h.dpatch description

 -- Mark Purcell <msp@debian.org>  Fri, 05 Sep 2008 20:05:45 +1000

asterisk-chan-capi (1.1.1-1) unstable; urgency=low

  * New upstream release.
    - Removed debian/patches/asterisk_1.4.3.dpatch, merged upstream.
    - Patch upstream's Makefile to use system's libcapi instead of the shipped
      one.
  * Enable "noisy build", so that gcc arguments are visible on build logs.
  * Bump Standards-Version to 3.7.3, no changes.
  * Switch to asterisk-1.4 dependency, hopefully depending on a frozen ABI.
  * Depend on asterisk-dev >= 1:1.4, fixes lintian warning.
  * Remove isdn4linux and OpenPBX references in the long description.
  * Update Uploaders to reflect the truth about the maintainers
    of the package.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 01 Apr 2008 08:14:08 +0300

asterisk-chan-capi (1.0.2-1) unstable; urgency=low

  * Extremadura release ;-)

  [ Kilian Krause ]
  * New upstream release.

 -- Mark Purcell <msp@debian.org>  Fri, 30 Nov 2007 15:54:46 +0100

asterisk-chan-capi (1.0.1-2) unstable; urgency=low

  [ Lionel Elie Mamane ]
  * Document that chan-capi needs res_features (closes: #434649)
  * Bump up Standards-Version to 3.7.2

  [ Kilian Krause ]
  * Don't ignore make clean error.
  * Add Homepage field as added in dpkg-dev 1.14.6.

  [ Faidon Liambotis ]
  * Add myself to Uploaders.
  * Point XS-Vcs-Svn, XS-Vcs-Browser URLs to the chan-capi subdirectory.
  * Remove Conflicts/Replaces chan-capi which is a pre-sarge package.
  * Build-Depend on asterisk-dev >= 1.4. (Closes: #441237)
  * Switch asterisk from Recommends to Depends and make it versioned >= 1.4.
  * Update debhelper compatibility to v5.
  * Remove postinst script and adduser dependency; its actions are covered by
    the postinst of asterisk.
  * Cleanup debian/rules of useless targets and comments.

 -- Kilian Krause <kilian@debian.org>  Sat, 22 Sep 2007 12:08:44 +0200

asterisk-chan-capi (1.0.1-1) unstable; urgency=low

  * New upstream release 1.0.1 (Closes: #412131)
  * Backport patch from trunk for compatibility with Asterisk 1.4.3 (closes: #416774)

 -- Lionel Elie Mamane <lmamane@debian.org>  Thu, 14 Jun 2007 18:27:50 +0200

asterisk-chan-capi (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Thu, 22 Mar 2007 07:09:48 +0000

asterisk-chan-capi (0.7.1-1.1) unstable; urgency=high

  * Non-maintainer upload
  * Protect calls to capi_cmsg2str and use of its buffer with a mutex.
    (Closes: #411293)

 -- Ben Hutchings <ben@decadent.org.uk>  Wed,  7 Mar 2007 01:58:53 +0000

asterisk-chan-capi (0.7.1-1) unstable; urgency=low

  * New upstream release
  * debian/rules dh_installchangelogs CHANGES
  * Ack NMU
    - implicit pointer conversion (Closes: #383093)

 -- Mark Purcell <msp@debian.org>  Sun, 22 Oct 2006 20:49:40 +0100

asterisk-chan-capi (0.7.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Modify 01_debian-patch.dpatch to no longer remove the
    #include <asterisk/features.h> directive which was causing an
    implicitly converted return pointer from ast_pickup_ext()
    (Closes: #383093)

 -- dann frazier <dannf@debian.org>  Sun, 24 Sep 2006 19:16:06 -0600

asterisk-chan-capi (0.7.0-1) unstable; urgency=low

  * New upstream release
    - Please package version 0.7.0 (Closes: #382346)
  * Drop 02_kernel_post_2.6.10_fix.dpatch
  * Update debian/control
  * Update debian/watch
  * Build system tries to select "-march=FOO" CFLAG; that's b0rken
    (Closes: #357012)

 -- Mark Purcell <msp@debian.org>  Thu, 10 Aug 2006 22:20:58 +0100

asterisk-chan-capi (0.6.5-1) unstable; urgency=low

  * New upstream release
  * New version cm-0.6.5 (Closes: #361703)
  * Update debian/watch

 -- Mark Purcell <msp@debian.org>  Sat,  6 May 2006 16:28:59 +0100

asterisk-chan-capi (0.6.4-1) unstable; urgency=low

  * New upstream release (closes: #352245)

 -- Lionel Elie Mamane <lmamane@debian.org>  Fri, 10 Feb 2006 19:45:13 +0100

asterisk-chan-capi (0.6.3-1) unstable; urgency=low

  [ Kilian Krause ]
  * New upstream release. (Closes: #329251, #328914, #315430, #340875, #345556)

  [ Mark Purcell ]
  * Update debian/watch

 -- Lionel Elie Mamane <lmamane@debian.org>  Thu, 19 Jan 2006 19:34:30 +0100

asterisk-chan-capi (0.3.5-12) unstable; urgency=low

  [ Kilian Krause ]
  * fix 2.6.10-rc5 and later kernels. Thanks goes to Martin Jess
    <debian-bugs@fhloston.org> for providing the fix ;)
    (Closes: #308106)

  [ Mark Purcell ]
  * Rebuild due to libcapi20-dev changed soname
  * needs a rebuild for libcapi20-3 (Closes: #323548)
  * Add Build-Depends: adduser
  * Remove upstream INSTALL and copy relevance to README.Debian



=== debian/control ===
Source: asterisk-chan-capi
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Lionel Elie Mamane <lmamane@debian.org>, Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>, Faidon Liambotis <paravoid@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper (>= 9), asterisk-dev (>= 1:1.8), libcapi20-dev
Standards-Version: 3.9.2
Homepage: http://www.chan-capi.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/asterisk-chan-capi/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/asterisk-chan-capi/?op=log

Package: asterisk-chan-capi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, asterisk (>= 1:1.8)
Description: Common ISDN API 2.0 implementation for Asterisk
 A channel driver for the Asterisk software telephony PBX using the
 Common ISDN API (CAPI) 2.0. It is intended to be used with ISDN hardware that
 provide such an interface.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	$(MAKE) install_config install INSTALL_PREFIX=$(CURDIR)/debian/asterisk-chan-capi

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
opts=pasv ftp://ftp.chan-capi.org/chan-capi/	chan_capi-([\d.].*)\.tar\.gz	debian	svn-upgrade
